Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud Notification Service
    • Overview
    • Getting started with mobile push notifications
    • Getting started with in-browser push notifications
    • Getting started with SMS
    • Getting started with topics
    • Overview
    • Mobile push notifications
    • In-browser push notifications
    • SMS
    • Topics
    • Quotas and limits
    • All tools
    • AWS CLI
    • AWS SDK for C++
    • AWS SDK for Go
    • AWS SDK for Java
    • AWS SDK for JavaScript
    • AWS SDK for Kotlin
    • AWS SDK for .NET
    • AWS SDK for PHP
    • AWS SDK for Python (boto3)
  • Pricing policy
  • Access management
    • Overview
    • Sending a request
    • Errors
      • Create
      • GetAttributes
      • GetSmsAttributes
      • SetAttributes
      • List
      • Delete
    • Publish
  • Audit Trails events
  • Metrics Monitoring
  • Logs Cloud Logging
  • Release notes

In this article:

  • HTTP request
  • Query parameters
  • Attributes
  • Response
  • Successful response
  • Error response
  1. API reference
  2. SMS
  3. Create

CreateSMSChannel

Written by
Yandex Cloud
Updated at July 20, 2026
View in Markdown
  • HTTP request
    • Query parameters
    • Attributes
  • Response
    • Successful response
    • Error response

Creates an SMS notification channel.

HTTP requestHTTP request

POST https://notifications.yandexcloud.net/

Query parametersQuery parameters

Parameter Description
Action string
Required field.
Operation type parameter.
Value: CreateSMSChannel.
SenderID string
Sender's text name. If not set, creates an SMS notification channel with a common sender in the sandbox. A cloud can contain only one such channel with a common sender.
FolderId string
Required field when authenticating via an IAM token.
ID of the folder the SMS notification channel will be created in. When authenticating via a static service account key with FolderId not specified, the channel will be created in the same folder as the service account.
Example: b1gsm0k26v1l********.
Attributes.entry.N.key string
Required field.
Attribute key. N is a numeric value.
Example: Attributes.entry.1.key=Description.
Attributes.entry.N.value string
Required field.
Attribute value. N is a numeric value.
Example: Attributes.entry.1.value=Test-sms-channel.
ResponseFormat string
Response format.
The possible values are:
  • XML (default)
  • JSON.

AttributesAttributes

Attribute Description
Description string
Description of the SMS notification channel.
Example: Test-sms-channel.

ResponseResponse

Successful responseSuccessful response

If there are no errors, Cloud Notification Service returns the 200 HTTP code.

A successful response contains additional data in XML or JSON format depending on the specified ResponseFormat parameter.

Data schema:

XML
JSON
<?xml version="1.0" encoding="UTF-8"?>
<CreateSMSChannelResponse>
    <ResponseMetadata>
  	  <RequestId>string</RequestId>
    </ResponseMetadata>
    <CreateSMSChannelResult>
  	  <SMSChannelArn>string</SMSChannelArn>
    </CreateSMSChannelResult>
</CreateSMSChannelResponse>
{
  "ResponseMetadata": {
    "RequestId": "string"
  },
  "CreateSMSChannelResult": {
    "SMSChannelArn": "string"
  }
}

Where:

  • RequestId: Request ID.
  • SMSChannelArn: ID (ARN) of the SMS notification channel.

Error responseError response

In case of an error, Cloud Notification Service returns a message with the appropriate HTTP code and its additional description in XML or JSON format depending on the specified ResponseFormat parameter.

Data schema:

XML
JSON
<?xml version="1.0" encoding="UTF-8"?>
<ErrorResponseXML>
    <RequestId>string</RequestId>
    <Error>
  	  <Code>string</Code>
  	  <Message>string</Message>
    </Error>
</ErrorResponseXML>
{
  "ErrorResponse": {
    "RequestId": "string",
    "Error": {
      "Code": "string",
      "SubCode": "string",
      "Message": "string"
    }
  }
}

Where:

  • RequestId: Request ID.
  • Code: Error code.
  • Message: Error description.

For a list of common error codes for all actions, see Errors.

Errors specific for CreateSMSChannel:

HTTP Error code Extended code Description
400 UserError SMSChannelLimitExceeded Limit on the number of SMS notification channels in the cloud has been exceeded.
400 UserError ChannelAlreadyExists There is an SMS notification channel with the same sender text name in the cloud.

Useful linksUseful links

  • Yandex Cloud Notification Service HTTP API overview
  • Sending an HTTP API request to Yandex Cloud Notification Service

Was the article helpful?

Previous
Delete
Next
GetAttributes
© 2026 Direct Cursus Technology L.L.C.